#ifndef _PTSS_WIDGET_H_
#define _PTSS_WIDGET_H_

#include <QWidget>
#include <QListWidget>
#include <QComboBox>

#include "ptssConfiguration.h"
#include "ptssDb.h"


class PtssWidget: public QWidget
{
Q_OBJECT

public:
	PtssWidget(QString path, QWidget* parent = 0);
	virtual ~PtssWidget();
	
public slots:
	void showConfigureDialog();
	void configureDialogTerminated();
	void updateTimes();
	
private:
	void initUI();
	
private:
	QComboBox *groupList;
	QListWidget *timesList;
	PtssConfiguration *configureDialog;
	PtssDb *db;
	
	QTimer t;
};

#endif /* _PTSS_WIDGET_H_ */
